Subject: bug#33053: scm_i_mirror_backslashes assumes ASCII-compatible locale encoding

From: Mark H Weaver <[email-masked]>
Date: Mon, 15 Oct 2018 19:06:53 -0400

Mark H Weaver <[email-masked]> writes:

> The 'scm_i_mirror_backslashes' in load.c operates on C strings in the
> locale encoding, and assumes that the locale encoding is ASCII
> compatible.  In the Shift_JIS encoding, used in the "JP_jp.sjis" locale,
> backslash '\' is mapped to a multibyte character, and the Yen sign '¥'
> is represented using code 0x5C, the same code as backslash '\' in ASCII.
>
> As a result, users of the "JP_jp.sjis" locale will have Yen signs '¥' in
> their file names converted into slashes by this function.

I miswrote the locale name above.  The locale name is "ja_JP.sjis".

      Mark